package com.czg.resp;

import lombok.Getter;

/**
 * @author GYJoker
 */
@Getter
public enum CzgRespCode {
    SUCCESS(200, "操作成功"),

    WAIT_PAY(211, "等待用户付款"),
    FAILURE(500, "操作失败"),
    NOT_LOGIN(501, "登录失效"),
    SYSTEM_ERROR(555, "系统内部错误"),
    RECORD_NOT_EXIST(601, "记录不存在"),
    RECORD_EXISTED(602, "记录已存在"),
    PARAM_ERROR(603, "参数错误"),
    UNAUTHORIZED(401, "未授权"),
    UN_PERMISSION(402, "无此接口权限"),
    UN_ROLE(403, "角色权限不足");

    private final int code;
    private final String msg;

    CzgRespCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
